<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:binding="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.phlx.anchorcollect.ui.home.HomeVM" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@mipmap/home_bg">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="500dp"
            android:layout_height="250dp"
            android:layout_marginTop="50dp"
            android:background="@drawable/bg_radius_white_5"
            binding:layout_constraintLeft_toLeftOf="parent"
            binding:layout_constraintRight_toRightOf="parent"
            binding:layout_constraintTop_toTopOf="parent">

            <Button
                android:id="@+id/btn_family_archives"
                android:layout_width="111dp"
                android:layout_height="72dp"
                android:text="@string/base_archives"
                android:background="@mipmap/genealogy_file"
                binding:layout_constraintTop_toTopOf="parent"
                binding:layout_constraintBottom_toTopOf="@+id/btn_health_manage"
                binding:layout_constraintLeft_toLeftOf="parent"
                android:textColor="@color/white"
                binding:layout_constraintRight_toLeftOf="@+id/btn_weighting_manage"
                binding:layout_constraintHorizontal_chainStyle="spread"
                binding:onClickCommand="@{viewModel.OnFamilyArchivesClickCommand}"
                />

            <Button
                android:id="@+id/btn_weighting_manage"
                android:layout_width="111dp"
                android:layout_height="72dp"
                android:text="@string/weighting_manage"
                android:textColor="@color/white"
                android:background="@mipmap/weigh_manager"
                binding:layout_constraintTop_toTopOf="@+id/btn_family_archives"
                binding:layout_constraintLeft_toRightOf="@+id/btn_family_archives"
                binding:layout_constraintRight_toLeftOf="@+id/btn_sign_measure"
                binding:onClickCommand="@{viewModel.OnWeightingManageClickCommand}"
                />

            <Button
                android:id="@+id/btn_sign_measure"
                android:layout_width="111dp"
                android:layout_height="72dp"
                android:text="@string/sign_measure"
                android:textColor="@color/white"
                android:background="@mipmap/signs_determination"
                binding:layout_constraintTop_toTopOf="@+id/btn_family_archives"
                binding:layout_constraintLeft_toRightOf="@+id/btn_weighting_manage"
                binding:layout_constraintRight_toRightOf="parent"
                binding:onClickCommand="@{viewModel.OnSignMeasureClickCommand}"
                />

            <Button
                android:id="@+id/btn_health_manage"
                android:layout_width="111dp"
                android:layout_height="72dp"
                android:textColor="@color/white"
                android:background="@mipmap/health_manager"
                android:text="@string/treatment_record"
                binding:layout_constraintTop_toBottomOf="@+id/btn_family_archives"
                binding:layout_constraintBottom_toBottomOf="parent"
                binding:layout_constraintLeft_toLeftOf="parent"
                binding:layout_constraintRight_toLeftOf="@+id/btn_immun_manage"
                binding:layout_constraintHorizontal_chainStyle="spread"
                binding:onClickCommand="@{viewModel.OnHealthManageClickCommand}"
                />

            <Button
                android:id="@+id/btn_immun_manage"
                android:layout_width="111dp"
                android:layout_height="72dp"
                android:textColor="@color/white"
                android:background="@mipmap/immunity_manager"
                android:text="@string/immun_record"
                binding:layout_constraintTop_toTopOf="@+id/btn_health_manage"
                binding:layout_constraintLeft_toRightOf="@+id/btn_health_manage"
                binding:layout_constraintRight_toRightOf="parent"
                binding:onClickCommand="@{viewModel.OnImmunManageClickCommand}"
                />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>